# Type specifications

## OrderStatus

| OrderId  | integer                                                | <p>Alephee internal ID to identify the order to update.</p><p> </p><p>It is not the marketplace-assigned order ID. Is the “OrderID” property obtained from the GET order endpoint.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| -------- | ------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| Status   | integer                                                | <p>10 = To be shipped</p><p>(When the shipment is being prepared)</p><p> </p><p>17 = Arrived</p><p>(When the shipment has reached a specific pickup point or location and is ready to be shipped)</p><p> </p><p>20 = Shipped</p><p>(When the shipment is already shipped and in transit)<br><br></p><p>80 = Delivered</p><p>(When the shipment was confirmed as delivered)</p><p> </p><p>90 = Cancelled</p><p>(When the order was cancelled)</p><p> </p><p><em>This endpoint is temporarily unable to cancel an order from an external marketplace. Only orders created by the POST orders API can be canceled.</em></p> |
| Tracking | [#orderstatustracking](#orderstatustracking "mention") | <p>Tracking information of the order’s shipment.<br><br></p><p>Alephee does not update this tracking status. Useful for the customer internal use.</p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

### OrderStatusTracking

| Number | string | <p>Tracking number of the order’s shipment.</p><p> </p><p>It is a free string property. No business rule required. Any value is admitted.</p> |
| ------ | ------ | --------------------------------------------------------------------------------------------------------------------------------------------- |
| Status | string | <p>Tracking status of the order’s shipment.</p><p> </p><p>It is a free string property. No business rule required. Any value is admitted.</p> |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/orders/put-methods/update-orders-status/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
